Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » PDE-Build against a target platform
PDE-Build against a target platform [message #44090] Tue, 03 February 2009 10:10 Go to next message
Matthias Kappeller is currently offline Matthias KappellerFriend
Messages: 54
Registered: July 2009
Member
I'm using a target platform of our rcp-application to build (in headless
mode) features/plugins.

The property i use is 'baseLocation'. This works perfectly. Except if a
plugin i will build is already in the targetplatform. In that case the
pde-build ignores this new plugin.

So how can i achieve that pde builds a plugin also if it's already in the
target platform.

thanks for your answer,
Matthias
Re: PDE-Build against a target platform [message #44361 is a reply to message #44090] Tue, 03 February 2009 19:51 Go to previous message
Andrew Niefer is currently offline Andrew NieferFriend
Messages: 990
Registered: July 2009
Senior Member
PDE/Build will take whichever version of your plugin is resolved by the
OSGi state. Generally speaking, this is the one with the higher version.

This after build has replaced the .qualifier with something
( http://help.eclipse.org/ganymede/index.jsp?topic=/org.eclips e.pde.doc.user/tasks/pde_version_qualifiers.htm)

-Andrew
Matthias Kappeller wrote:
> I'm using a target platform of our rcp-application to build (in headless
> mode) features/plugins.
>
> The property i use is 'baseLocation'. This works perfectly. Except if a
> plugin i will build is already in the targetplatform. In that case the
> pde-build ignores this new plugin.
>
> So how can i achieve that pde builds a plugin also if it's already in
> the target platform.
>
> thanks for your answer,
> Matthias
>
Re: PDE-Build against a target platform [message #591210 is a reply to message #44090] Tue, 03 February 2009 19:51 Go to previous message
Andrew Niefer is currently offline Andrew NieferFriend
Messages: 990
Registered: July 2009
Senior Member
PDE/Build will take whichever version of your plugin is resolved by the
OSGi state. Generally speaking, this is the one with the higher version.

This after build has replaced the .qualifier with something
( http://help.eclipse.org/ganymede/index.jsp?topic=/org.eclips e.pde.doc.user/tasks/pde_version_qualifiers.htm)

-Andrew
Matthias Kappeller wrote:
> I'm using a target platform of our rcp-application to build (in headless
> mode) features/plugins.
>
> The property i use is 'baseLocation'. This works perfectly. Except if a
> plugin i will build is already in the targetplatform. In that case the
> pde-build ignores this new plugin.
>
> So how can i achieve that pde builds a plugin also if it's already in
> the target platform.
>
> thanks for your answer,
> Matthias
>
Previous Topic:PDE build for RCP app not delivering executable
Next Topic:How to download and install maven plug-ins?
Goto Forum:
  


Current Time: Wed Jun 23 17:57:25 GMT 2021

Powered by FUDForum. Page generated in 0.02567 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top